#pragma once
#include "GameManagerState.h"

// Forward declaration to resolve circular dependency/include
class GameManagerState;

class GameManager
{
public:
    GameManager();
    
    inline GameManagerState* getCurrentState() const { return currentState; }
    void toggle();
    
    void setState(GameManagerState& newState);
    
private:
    GameManagerState* currentState;
};
